package credit_usage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/credit_usage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /credit_usage/list credit_usage GetCreditUsageList
//
// Get credit usage list | 获取CreditUsage列表
//
// Get credit usage list | 获取CreditUsage列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: CreditUsageListReq
//
// Responses:
//  200: CreditUsageListResp

func GetCreditUsageListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CreditUsageListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := credit_usage.NewGetCreditUsageListLogic(r.Context(), svcCtx)
		resp, err := l.GetCreditUsageList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
